package com.bonus.canteen.core.bus.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.canteen.core.bus.dto.BusDeviceInfoDTO;
import com.bonus.canteen.core.bus.dto.BusDeviceInfoEditDTO;
import com.bonus.canteen.core.bus.model.BusDeviceInfo;
import com.bonus.canteen.core.bus.param.BusDeviceInfoParam;
import com.bonus.canteen.core.bus.vo.BusDeviceInfoVO;

import java.util.List;

public interface BusDeviceInfoService extends IService<BusDeviceInfo> {
   void createBusDeviceInfo(BusDeviceInfoDTO content);

   void cancelBusDeviceInfo(List<Long> content);

   void editBusDeviceInfo(BusDeviceInfoEditDTO content);

   Page<BusDeviceInfoVO> pageBusDeviceInfo(BusDeviceInfoParam content);

   BusDeviceInfoVO queryBusDeviceInfoDetail(Long content);
}
